org.apache.activemq.artemis.api.core.management

## Interface AddressControl

-     public interface AddressControl

  An AddressControl is used to manage an address.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Returns the managed address.
    `long` | `getAddressSize()` Returns the number of estimated bytes being used by the queue(s), used to control paging and blocking.
    `String[]` | `getBindingNames()` Returns the names of all bindings (both queues and diverts) bound to this address
    `long` | `getMessageCount()`
    `long` | `getNumberOfBytesPerPage()` Returns the number of bytes used by each page for this address.
    `long` | `getNumberOfMessages()` Returns the sum of messages on queue(s), including messages in delivery.
    `int` | `getNumberOfPages()` Returns the number of pages used by this address.
    `String[]` | `getQueueNames()` Returns the names of the queues bound to this address.
    `Object[]` | `getRoles()` Returns the roles (name and permissions) associated with this address.
    `String` | `getRolesAsJSON()` Returns the roles (name and permissions) associated with this address using JSON serialization.
    `long` | `getRoutedMessageCount()` Returns the number of messages routed to one or more bindings
    `String[]` | `getRoutingTypes()`
    `String` | `getRoutingTypesAsJSON()`
    `long` | `getUnRoutedMessageCount()` Returns the number of messages not routed to any bindings
    `boolean` | `isPaging()` Returns whether this address is paging.
    `String` | `sendMessage(Map<String,String> headers, int type, String body, boolean durable, String user, String password)`

- - ### Method Detail

    - #### getAddress

          String getAddress()

      Returns the managed address.

    - #### getRoutingTypes

          String[] getRoutingTypes()

    - #### getRoutingTypesAsJSON

          String getRoutingTypesAsJSON()
                                throws Exception

      Throws:
        `Exception`

    - #### getRoles

          Object[] getRoles()
                     throws Exception

      Returns the roles (name and permissions) associated with this address.
      Throws:
        `Exception`

    - #### getRolesAsJSON

          String getRolesAsJSON()
                         throws Exception

      Returns the roles (name and permissions) associated with this address using JSON serialization.
      Java objects can be recreated from JSON serialization using `RoleInfo.from(String)`.
      Throws:
        `Exception`

    - #### getAddressSize

          long getAddressSize()
                       throws Exception

      Returns the number of estimated bytes being used by the queue(s), used to control paging and blocking.
      Throws:
        `Exception`

    - #### getNumberOfMessages

          long getNumberOfMessages()
                            throws Exception

      Returns the sum of messages on queue(s), including messages in delivery.
      Throws:
        `Exception`

    - #### getQueueNames

          String[] getQueueNames()
                          throws Exception

      Returns the names of the queues bound to this address.
      Throws:
        `Exception`

    - #### getNumberOfPages

          int getNumberOfPages()
                        throws Exception

      Returns the number of pages used by this address.
      Throws:
        `Exception`

    - #### isPaging

          boolean isPaging()
                    throws Exception

      Returns whether this address is paging.
      Throws:
        `Exception`

    - #### getNumberOfBytesPerPage

          long getNumberOfBytesPerPage()
                                throws Exception

      Returns the number of bytes used by each page for this address.
      Throws:
        `Exception`

    - #### getBindingNames

          String[] getBindingNames()
                            throws Exception

      Returns the names of all bindings (both queues and diverts) bound to this address
      Throws:
        `Exception`

    - #### getMessageCount

          long getMessageCount()

    - #### getRoutedMessageCount

          long getRoutedMessageCount()

      Returns the number of messages routed to one or more bindings

    - #### getUnRoutedMessageCount

          long getUnRoutedMessageCount()

      Returns the number of messages not routed to any bindings

    - #### sendMessage

          String sendMessage(Map<String,String> headers,
                             int type,
                             String body,
                             boolean durable,
                             String user,
                             String password)
                      throws Exception

      Parameters:
        `headers` - the message headers and properties to set. Can only container Strings maped to primitive types.
        `body` - the text to send
        `durable` -
        `user` -
        `password` - @return
      Throws:
        `Exception`

Copyright © 2019 The Apache Software Foundation. All rights reserved.